Dependencies for Function - Conditional Controller

good afternoon all I was having the same problem as Ronald_Rigo and the new release 8.15.11 fix that part of it but now im having the same issue this time with the conditional controller.

 [2023-10-19 16:37:11] Dependency installation beginning. Installing: pylint

[2023-10-19 16:37:11] 
[2023-10-19 16:37:11] #### Installing/updating pylint==2.12.2 (pip-pypi)
[2023-10-19 16:37:12] Looking in indexes: https://pypi.org/simple, https://www.piwheels.org/simple
[2023-10-19 16:37:13] Collecting pylint==2.12.2
[2023-10-19 16:37:13]   Using cached https://www.piwheels.org/simple/pylint/pylint-2.12.2-py3-none-any.whl (412 kB)
[2023-10-19 16:37:14] Collecting platformdirs>=2.2.0 (from pylint==2.12.2)
[2023-10-19 16:37:14]   Using cached https://www.piwheels.org/simple/platformdirs/platformdirs-3.11.0-py3-none-any.whl (17 kB)
[2023-10-19 16:37:14] Collecting astroid<2.10,>=2.9.0 (from pylint==2.12.2)
[2023-10-19 16:37:14]   Using cached https://www.piwheels.org/simple/astroid/astroid-2.9.3-py3-none-any.whl (253 kB)
[2023-10-19 16:37:15] Collecting isort<6,>=4.2.5 (from pylint==2.12.2)
[2023-10-19 16:37:15]   Using cached https://www.piwheels.org/simple/isort/isort-5.12.0-py3-none-any.whl (91 kB)
[2023-10-19 16:37:15] Collecting mccabe<0.7,>=0.6 (from pylint==2.12.2)
[2023-10-19 16:37:15]   Using cached https://www.piwheels.org/simple/mccabe/mccabe-0.6.1-py2.py3-none-any.whl (8.6 kB)
[2023-10-19 16:37:16] Collecting toml>=0.9.2 (from pylint==2.12.2)
[2023-10-19 16:37:16]   Using cached https://www.piwheels.org/simple/toml/toml-0.10.2-py2.py3-none-any.whl (16 kB)
[2023-10-19 16:37:16] Collecting lazy-object-proxy>=1.4.0 (from astroid<2.10,>=2.9.0->pylint==2.12.2)
[2023-10-19 16:37:16]   Using cached lazy_object_proxy-1.9.0-cp311-cp311-manylinux_2_17_aarch64.manylinux2014_aarch64.whl (65 kB)
[2023-10-19 16:37:17] Collecting wrapt<1.14,>=1.11 (from astroid<2.10,>=2.9.0->pylint==2.12.2)
[2023-10-19 16:37:17]   Using cached wrapt-1.13.3.tar.gz (48 kB)
[2023-10-19 16:37:17]   Installing build dependencies: started
[2023-10-19 16:37:25]   Installing build dependencies: finished with status 'done'
[2023-10-19 16:37:25]   Getting requirements to build wheel: started
[2023-10-19 16:37:25]   Getting requirements to build wheel: finished with status 'done'
[2023-10-19 16:37:25]   Preparing metadata (pyproject.toml): started
[2023-10-19 16:37:26]   Preparing metadata (pyproject.toml): finished with status 'error'
[2023-10-19 16:37:26]   error: subprocess-exited-with-error
[2023-10-19 16:37:26]   
[2023-10-19 16:37:26]   × Preparing metadata (pyproject.toml) did not run successfully.
[2023-10-19 16:37:26]   │ exit code: 1
[2023-10-19 16:37:26]   ╰─> [85 lines of output]
[2023-10-19 16:37:26]       Traceback (most recent call last):
[2023-10-19 16:37:26]         File "/tmp/pip-build-env-9zp_4h00/overlay/lib/python3.11/site-packages/setuptools/config/expand.py", line 81, in __getattr__
[2023-10-19 16:37:26]           return next(
[2023-10-19 16:37:26]                  ^^^^^
[2023-10-19 16:37:26]         File "/tmp/pip-build-env-9zp_4h00/overlay/lib/python3.11/site-packages/setuptools/config/expand.py", line 82, in <genexpr>
[2023-10-19 16:37:26]           ast.literal_eval(value)
[2023-10-19 16:37:26]         File "/usr/lib/python3.11/ast.py", line 110, in literal_eval
[2023-10-19 16:37:26]           return _convert(node_or_string)
[2023-10-19 16:37:26]                  ^^^^^^^^^^^^^^^^^^^^^^^^
[2023-10-19 16:37:26]         File "/usr/lib/python3.11/ast.py", line 109, in _convert
[2023-10-19 16:37:26]           return _convert_signed_num(node)
[2023-10-19 16:37:26]                  ^^^^^^^^^^^^^^^^^^^^^^^^^
[2023-10-19 16:37:26]         File "/usr/lib/python3.11/ast.py", line 83, in _convert_signed_num
[2023-10-19 16:37:26]           return _convert_num(node)
[2023-10-19 16:37:26]                  ^^^^^^^^^^^^^^^^^^
[2023-10-19 16:37:26]         File "/usr/lib/python3.11/ast.py", line 74, in _convert_num
[2023-10-19 16:37:26]           _raise_malformed_node(node)
[2023-10-19 16:37:26]         File "/usr/lib/python3.11/ast.py", line 71, in _raise_malformed_node
[2023-10-19 16:37:26]           raise ValueError(msg + f': {node!r}')
[2023-10-19 16:37:26]       ValueError: malformed node or string on line 2: <ast.Call object at 0x7f96ae8310>
[2023-10-19 16:37:26]       
[2023-10-19 16:37:26]       The above exception was the direct cause of the following exception:
[2023-10-19 16:37:26]       
[2023-10-19 16:37:26]       Traceback (most recent call last):
[2023-10-19 16:37:26]         File "/tmp/pip-build-env-9zp_4h00/overlay/lib/python3.11/site-packages/setuptools/config/expand.py", line 193, in read_attr
[2023-10-19 16:37:26]           return getattr(StaticModule(module_name, spec), attr_name)
[2023-10-19 16:37:26]                  ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
[2023-10-19 16:37:26]         File "/tmp/pip-build-env-9zp_4h00/overlay/lib/python3.11/site-packages/setuptools/config/expand.py", line 87, in __getattr__
[2023-10-19 16:37:26]           raise AttributeError(f"{self.name} has no attribute {attr}") from e
[2023-10-19 16:37:26]       AttributeError: wrapt has no attribute __version__
[2023-10-19 16:37:26]       
[2023-10-19 16:37:26]       During handling of the above exception, another exception occurred:
[2023-10-19 16:37:26]       
[2023-10-19 16:37:26]       Traceback (most recent call last):
[2023-10-19 16:37:26]         File "/home/flaco/Mycodo/env/lib/python3.11/site-packages/pip/_vendor/pyproject_hooks/_in_process/_in_process.py", line 353, in <module>
[2023-10-19 16:37:26]           main()
[2023-10-19 16:37:26]         File "/home/flaco/Mycodo/env/lib/python3.11/site-packages/pip/_vendor/pyproject_hooks/_in_process/_in_process.py", line 335, in main
[2023-10-19 16:37:26]           json_out['return_val'] = hook(**hook_input['kwargs'])
[2023-10-19 16:37:26]                                    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^
[2023-10-19 16:37:26]         File "/home/flaco/Mycodo/env/lib/python3.11/site-packages/pip/_vendor/pyproject_hooks/_in_process/_in_process.py", line 149, in prepare_metadata_for_build_wheel
[2023-10-19 16:37:26]           return hook(metadata_directory, config_settings)
[2023-10-19 16:37:26]                  ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
[2023-10-19 16:37:26]         File "/tmp/pip-build-env-9zp_4h00/overlay/lib/python3.11/site-packages/setuptools/build_meta.py", line 396, in prepare_metadata_for_build_wheel
[2023-10-19 16:37:26]           self.run_setup()
[2023-10-19 16:37:26]         File "/tmp/pip-build-env-9zp_4h00/overlay/lib/python3.11/site-packages/setuptools/build_meta.py", line 507, in run_setup
[2023-10-19 16:37:26]           super(_BuildMetaLegacyBackend, self).run_setup(setup_script=setup_script)
[2023-10-19 16:37:26]         File "/tmp/pip-build-env-9zp_4h00/overlay/lib/python3.11/site-packages/setuptools/build_meta.py", line 341, in run_setup
[2023-10-19 16:37:26]           exec(code, locals())
[2023-10-19 16:37:26]         File "<string>", line 41, in <module>
[2023-10-19 16:37:26]         File "/tmp/pip-build-env-9zp_4h00/overlay/lib/python3.11/site-packages/setuptools/__init__.py", line 103, in setup
[2023-10-19 16:37:26]           return distutils.core.setup(**attrs)
[2023-10-19 16:37:26]                  ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
[2023-10-19 16:37:26]         File "/tmp/pip-build-env-9zp_4h00/overlay/lib/python3.11/site-packages/setuptools/_distutils/core.py", line 159, in setup
[2023-10-19 16:37:26]           dist.parse_config_files()
[2023-10-19 16:37:26]         File "/tmp/pip-build-env-9zp_4h00/overlay/lib/python3.11/site-packages/setuptools/dist.py", line 649, in parse_config_files
[2023-10-19 16:37:26]           setupcfg.parse_configuration(
[2023-10-19 16:37:26]         File "/tmp/pip-build-env-9zp_4h00/overlay/lib/python3.11/site-packages/setuptools/config/setupcfg.py", line 189, in parse_configuration
[2023-10-19 16:37:26]           meta.parse()
[2023-10-19 16:37:26]         File "/tmp/pip-build-env-9zp_4h00/overlay/lib/python3.11/site-packages/setuptools/config/setupcfg.py", line 500, in parse
[2023-10-19 16:37:26]           section_parser_method(section_options)
[2023-10-19 16:37:26]         File "/tmp/pip-build-env-9zp_4h00/overlay/lib/python3.11/site-packages/setuptools/config/setupcfg.py", line 475, in parse_section
[2023-10-19 16:37:26]           self[name] = value
[2023-10-19 16:37:26]           ~~~~^^^^^^
[2023-10-19 16:37:26]         File "/tmp/pip-build-env-9zp_4h00/overlay/lib/python3.11/site-packages/setuptools/config/setupcfg.py", line 293, in __setitem__
[2023-10-19 16:37:26]           parsed = self.parsers.get(option_name, lambda x: x)(value)
[2023-10-19 16:37:26]                    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
[2023-10-19 16:37:26]         File "/tmp/pip-build-env-9zp_4h00/overlay/lib/python3.11/site-packages/setuptools/config/setupcfg.py", line 606, in _parse_version
[2023-10-19 16:37:26]           return expand.version(self._parse_attr(value, self.package_dir, self.root_dir))
[2023-10-19 16:37:26]                                 ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
[2023-10-19 16:37:26]         File "/tmp/pip-build-env-9zp_4h00/overlay/lib/python3.11/site-packages/setuptools/config/setupcfg.py", line 417, in _parse_attr
[2023-10-19 16:37:26]           return expand.read_attr(attr_desc, package_dir, root_dir)
[2023-10-19 16:37:26]                  ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
[2023-10-19 16:37:26]         File "/tmp/pip-build-env-9zp_4h00/overlay/lib/python3.11/site-packages/setuptools/config/expand.py", line 196, in read_attr
[2023-10-19 16:37:26]           module = _load_spec(spec, module_name)
[2023-10-19 16:37:26]                    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
[2023-10-19 16:37:26]         File "/tmp/pip-build-env-9zp_4h00/overlay/lib/python3.11/site-packages/setuptools/config/expand.py", line 216, in _load_spec
[2023-10-19 16:37:26]           spec.loader.exec_module(module)  # type: ignore
[2023-10-19 16:37:26]           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
[2023-10-19 16:37:26]         File "<frozen importlib._bootstrap_external>", line 940, in exec_module
[2023-10-19 16:37:26]         File "<frozen importlib._bootstrap>", line 241, in _call_with_frames_removed
[2023-10-19 16:37:26]         File "/tmp/pip-install-okml5gug/wrapt_3c1c391bbc99497b8280121e667aaa5b/src/wrapt/__init__.py", line 10, in <module>
[2023-10-19 16:37:26]           from .decorators import (adapter_factory, AdapterFactory, decorator,
[2023-10-19 16:37:26]         File "/tmp/pip-install-okml5gug/wrapt_3c1c391bbc99497b8280121e667aaa5b/src/wrapt/decorators.py", line 34, in <module>
[2023-10-19 16:37:26]           from inspect import ismethod, isclass, formatargspec
[2023-10-19 16:37:26]       ImportError: cannot import name 'formatargspec' from 'inspect' (/usr/lib/python3.11/inspect.py)
[2023-10-19 16:37:26]       [end of output]
[2023-10-19 16:37:26]   
[2023-10-19 16:37:26]   note: This error originates from a subprocess, and is likely not a problem with pip.
[2023-10-19 16:37:26] error: metadata-generation-failed
[2023-10-19 16:37:26] 
[2023-10-19 16:37:26] × Encountered error while generating package metadata.
[2023-10-19 16:37:26] ╰─> See above for output.
[2023-10-19 16:37:26] 
[2023-10-19 16:37:26] note: This is an issue with the package mentioned above, not pip.
[2023-10-19 16:37:26] hint: See above for details.

[2023-10-19 16:37:26] End install of pylint

[2023-10-19 16:37:26] 
[2023-10-19 16:37:26] #### Setting permissions

[2023-10-19 16:37:28] #### Dependencies installed. Restarting frontend and backend...

[2023-10-19 16:37:43] #### Dependency install complete.

I committed a fix:

Try upgrading to master and see if that fixes your issue.

1 Like

v8.15.12 released, so you can get the fix by simply upgrading to the latest release.

1 Like